$(document).ready(function () {
    // $('#main-banner').css('margin-top', $('header').outerHeight())
    $(function () {
        'use strict'
        $('[data-toggle="offcanvas"]').on('click', function () {
            $('.navbar-collapse').toggleClass('open');
            $('body').toggleClass('nav-open');
            //$(this).toggleClass('is-active');
        })
        $('.overlay').on('click', function () {
            $('.navbar-collapse').removeClass('open');
            $('body').removeClass('nav-open');
            $('.sub-menu').removeClass('act');
            //$(this).toggleClass('is-active');
        })
    });
    $('.dropdown').on('click', function () {
        if ($(this).parent().find('ul.sub-menu').hasClass('act')) {
            // alert(1);
            $('ul.sub-menu').removeClass('act');
            if ($(this).find('ul.sub-menu').hasClass('act')) {
                $(this).find('ul.sub-menu').removeClass('act');
            } else {
                $(this).find('ul.sub-menu').addClass('act');
            }
        } else {
            // alert(2);
            $(this).find('ul.sub-menu').addClass('act');
        }
    });

    // FILTER GALLERY
    $(".filter-button[data-filter=all]").addClass('active');
    // $('.filter').hide('1000');

    $(".filter-button").click(function () {
        var value = $(this).attr('data-filter');

        if (value == "all") {
            //$('.filter').removeClass('hidden');
            $('.filter').show('1000');
        } else {
            //$('.filter[filter-item="'+value+'"]').removeClass('hidden');
            //$(".filter").not('.filter[filter-item="'+value+'"]').addClass('hidden');
            $(".filter").not('.' + value).hide('3000');
            $('.filter').filter('.' + value).show('3000');

        }

        if ($(".filter-button").removeClass("active")) {
            $(this).removeClass("active");
        }
        $(this).addClass("active");
    });

    $('#services .owl-carousel').owlCarousel({
        loop: true,
        responsiveClass: true,
        nav: true,
        navText: ["<img src='images/arrow.png'>", "<img src='images/arrow.png'>"],
        autoplay: true,
        autoplayTimeout: 3000,
        autoplayHoverPause: false,
        responsive: {
            0: {
                items: 1,
            },
            560: {
                items: 2,
            },
            767: {
                items: 2,
            },
            991: {
                items: 3,
            }
        }
    });

    $(window).scroll(function () {
        var scroll = $(window).scrollTop();
        if (scroll >= 130) {
            $("header").addClass("scroll-header");
        } else {
            $("header").removeClass("scroll-header");
        }
        if ($(this).scrollTop() > 50) {
            $('#back-to-top').css('bottom', '20px');
        } else {
            $('#back-to-top').css('bottom', '-100px');
        }
    });

    // scroll body to 0px on click
    $('#back-to-top').click(function () {
        $('body,html').animate({
            scrollTop: 0
        }, 400);
        return false;
    });


    // Header Menu link active   

    var url = $(location).attr("href");
    $("nav ul > li").each(function () {
        if (url != null) {
            $("nav ul > li a").removeClass("active");
            $('nav ul > li a[href="' + url + '"]').parents('li').addClass("active");
            //$('nav ul > li a[href="' + url + '"]').parents('.dropdown').addClass("active");
        }
    });

});

// CONTACT FORM
function checkPhoneKey(key) {
    return (key >= '0' && key <= '9') || key == 'ArrowLeft' || key == 'ArrowRight' || key == 'Delete' || key == 'Backspace' || key == 'Tab';
}

$.validator.addMethod("nameval", function (value, element) {
    return /^([a-zA-Z ]{3,30})$/.test(value);
}, "Please enter valid name.");

$.validator.addMethod("emailval", function (value, element) {
    return /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(value);
}, "Please enter a valid email address.");

$.validator.addMethod("mobileval", function (value, element) {
    return /^[0-9\()\- ]\d{9,10}$/.test(value);
}, "Please enter valid phone number!");

// $.validator.addMethod("messageValidationMethod", function(value, element) { 
//     return this.optional(element) || /^[a-zA-Z0-9][a-zA-Z0-9\s\[\]\.\-#'"\@]*$/.test(value); 
// }, 'Please enter valid details!');

$(document).ready(function () {
    $('#quoteForm').validate({
        highlight: function (element) {
            $(element).parent().addClass("errorElement");
        },
        rules: {
            strName: {
                required: true,
                nameval: true
            },
            strLastname: {
                required: false,
                // nameval: true
            },
            intPhone: {
                required: false,
                maxlength: 11,
                minlength: 10,
                // mobileval: true
            },
            strEmail: {
                required: true,
                emailval: true
            },
            strMessage: {
                required: true,
                // minlength: 10
            },
        },
        messages: {
            strName: {
                required: 'This is required.',
            },
            strLastname: {
                required: 'This is required.',
            },
            intPhone: {
                required: 'This is required.',
            },
            strEmail: {
                required: 'This is required.',
            },
            strMessage: {
                required: 'This is required.',
            },
        },
        submitHandler: function () {
            var formData = $('#quoteForm').serialize();
            console.log(formData);
            $("#btnSubmit").prop('disabled', true);
            $("#btnSubmit").attr('value', 'SENDING..');
            $.ajax({
                method: 'POST',
                url: "includes/form/send-mail.php",
                data: formData,
                success: function (data) {
                    if (data.indexOf('mailsuccess') != -1) {
                        window.location.href = "thank-you.php";
                        // alert("success");
                    } else {
                        $('#capchaErr').html("Invalid reCAPTCHA.");
                        $("#btnSubmit").prop('disabled', false);
                        $("#btnSubmit").attr('value', 'SEND');
                    }
                }
            });
        }
    });
});
$(document).ready(function () {
    $('#homeForm').validate({
        highlight: function (element) {
            $(element).parent().addClass("errorElement");
        },
        rules: {
            strEmail: {
                required: true,
                emailval: true
            }
        },
        messages: {
            strEmail: {
                required: 'This is required.',
            }
        },
        submitHandler: function () {
            var formData = $('#homeForm').serialize();
            console.log(formData);
            $("#btnSubmit").prop('disabled', true);
            $("#btnSubmit").attr('value', 'SENDING..');
            $.ajax({
                method: 'POST',
                url: "includes/form/send-mail-home.php",
                data: formData,
                success: function (data) {
                    if (data.indexOf('mailsuccess') != -1) {
                        window.location.href = "thank-you.php";
                        // alert("success");
                    } else {
                        $('#capchaErr').html("Invalid reCAPTCHA.");
                        $("#btnSubmit").prop('disabled', false);
                        $("#btnSubmit").attr('value', 'SEND');
                    }
                }
            });
        }
    });
});