<?php
$pageTitle = "Quinn's Home Improvements - Driveways, Patios, Fencing"; //Please add page title here
$metaDesc = "Quinn's Home Improvements offers expert services in driveways, fencing, patios, landscaping, brickwork, and turfing for beautiful, lasting results."; //Please add meta description here
$metaKey = ""; //Please add meta keywords here
include 'includes/header.php';?>
<section id="main-banner">
<div id="carouselId" class="carousel slide" data-ride="carousel">
    <div class="carousel-inner" role="listbox">
        <div class="carousel-item active">            
            <img src="<?php echo BASE_URL;?>images/home/banner.jpg" alt="banner img" class="img-fluid"/>
        </div>
    </div>
    <div class="carousel-caption">
        <div class="banner-text">
            <h1>Transform <span class="two">your outdoors</span> <span class="three">with Quinn's</span> 
            <span class="four">Home Improvements</span></h1>
            <a href="<?php echo $conUrl ?>"  class="comm-ancr">REQUEST SERVICE</a>
        </div>
    </div>
</div>
</section>
<section class="about-blk padd-sec red-bg-img">
    <div class="container">
        <h2 class="text-uppercase">About us</h2>
        <p>Welcome to Quinn's Home Improvements, where your vision for abeautiful exterior becomes reality. With over 20 years of experience,our team of skilled professionals is dedicated to enhancing yourhome's outdoor spaces with creativity, precision, and superiorcraftsmanship.</p>
        <p>Whether you are looking to revamp your driveway, create a stunning landscape, or build a charming patio, we provide tailor- made solutions that meet your unique needs.</p>
    </div>
</section>
<section class="services-sec padd-sec text-center">
    <div class="container">
        <h2 class="text-uppercase">Our services</h2>
        <div class="row services-row">
            <div class="col-lg-4 col-sm-6">
                <div class="services-blk">
                    <img src="images/home/driveways.jpg" alt="">
                    <div class="text">
                        <a href="driveways.php">
                            <h3>Driveways</h3>
                        </a>
                        <p>A well-designed and expertly constructed driveway not only enhances the curb appeal of your home but also provides functionality and durability. At Quinn's Home Improvements, we specialise in creating driveways...</p>
                    </div>
                    <a href="driveways.php" class="service-ancr">LEARN MORE</a>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="services-blk">
                    <img src="images/home/driveways.jpg" alt="">
                    <div class="text">
                        <a href="landscaping.php">
                            <h3>Landscaping</h3>
                        </a>
                        <p>Transform your garden into a sanctuary with our comprehensive landscaping services. From design to execution, we handle every aspect of your landscaping project, ensuring a seamless experience. Our team works closely with you to...</p>
                    </div>
                    <a href="landscaping.php" class="service-ancr">LEARN MORE</a>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="services-blk">
                    <img src="images/home/driveways.jpg" alt="">
                    <div class="text">
                        <a href="patio.php">
                            <h3>Patio</h3>
                        </a>
                        <p>A patio is the perfect addition to any home, offering a space for relaxation and entertainment. At Quinn's Home Improvements, we design and build custom patios that reflect your style and meet your needs. Whether you...</p>
                    </div>
                    <a href="patio.php" class="service-ancr">LEARN MORE</a>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="services-blk">
                    <img src="images/home/driveways.jpg" alt="">
                    <div class="text">
                        <a href="fencing.php">
                            <h3>Fencing</h3>
                        </a>
                        <p>Secure your property with our high- quality fencing solutions. We offer a range of fencing options to suit your needs, from decorative garden fences to robust security fences. Our team ensures that your fencing is not only...</p>
                    </div>
                    <a href="fencing.php" class="service-ancr">LEARN MORE</a>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="services-blk">
                    <img src="images/home/driveways.jpg" alt="">
                    <div class="text">
                        <a href="brickwork.php">
                            <h3>Brickwork</h3>
                        </a>
                        <p>Transform your property with expert brickwork services from Quinn’s Home Improvements. Whether you're looking to enhance your home’s aesthetic or need structural repairs, our skilled bricklayers...</p>
                    </div>
                    <a href="brickwork.php" class="service-ancr">LEARN MORE</a>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="services-blk">
                    <img src="images/home/driveways.jpg" alt="">
                    <div class="text">
                        <a href="turfing.php">
                            <h3>Turfing</h3>
                        </a>
                        <p>Achieve a lush, green lawn with our professional turfing services. Whether you need new turf laid or your existing lawn rejuvenated, Quinn's Home Improvements provides expert turfing solutions that ensure a healthy, vibrant...</p>
                    </div>
                    <a href="turfing.php" class="service-ancr">LEARN MORE</a>
                </div>
            </div>
        </div>
    </div>
</section>
<section class="why-sec text-center">
    <div class="container">
        <h2>Why <span>choose <br/>Quinn's</span> Home Improvements?</h2>    
        <div class="red-bg-img">
            <div class="row justify-content-center">
                <div class="col-lg-4 col-sm-6">
                    <div class="why-blk">
                    <i class="flaticon-premium-badge"></i>
                    <h3>Over 20 years of experience</h3>
                    <p>With two decades of experience in the home improvement industry, we have honed our skills and refined our techniques to deliver outstanding results. Our extensive knowledge and expertise ensure that every project is completed to the highest standard.</p>
                    </div>
                </div>
                <div class="col-lg-4 col-sm-6">
                    <div class="why-blk">
                    <i class="flaticon-skills"></i>
                    <h3>Skilled professionals</h3>
                    <p>Our team of skilled professionals is passionate about transforming outdoor spaces. We bring creativity, precision, and dedication to every project, ensuring that your vision is realised with the utmost care and attention to detail.</p>
                    </div>
                </div>
                <div class="col-lg-4 col-sm-6">
                    <div class="why-blk">
                    <i class="flaticon-tiles"></i>
                    <h3>High-quality materials</h3>
                    <p>We are committed to using only high-quality materials in all our projects. This commitment ensures that our work is not only beautiful but also long-lasting and durable. We believe that quality materials are the foundation of quality work.</p>
                    </div>
                </div>
                <div class="col-lg-4 col-sm-6">
                    <div class="why-blk">
                    <i class="flaticon-handover"></i>
                    <h3>Personalised service</h3>
                    <p>At Quinn's Home Improvements, weunderstand that every client is unique, and so are their needs. We offer personalised service, working closely with you to understand yourr equirements and deliver solutions that exceed your expectations. Your satisfaction is our top priority.</p>
                    </div>
                </div>
                <div class="col-lg-4 col-md-12">
                    <div class="why-blk">
                    <i class="flaticon-money"></i>
                    <h3>Competitive <br/>pricing</h3>
                    <p>We believe that high-quality home improvement services should be accessible to everyone. That's why we offer competitive pricing without compromising on the superior standard of our work. You can trust Quinn's Home Improvements to provide value for your money.</p>
                    </div>
                </div>                
            </div>
        </div>
    </div>
</section>
<?php include 'includes/transform-quote.php';?>
<section class="padd-sec pt-0">
    <div class="container">
        <div class="project-blk text-center">
            <h2>OUR PROJECTS</h2>
            <h6>work we have done</h6>
            <div class="row gal-row">
                <div class="col-lg-7 col-sm-6">
                    <div class="img-first"><img src="images/home/gal1.jpg" alt="" class="w-100"></div>
                </div>
                <div class="col-lg-5 col-sm-6">
                    <div class="img-blk">
                        <img src="images/home/gal2.jpg" alt="" class="w-100">
                        <img src="images/home/gal3.jpg" alt="" class="w-100">
                    </div>
                </div>
            </div>
            <a href="<?php echo $gal ?>" class="comm-ancr">EXPLORE MORE!</a>
        </div>
        <div class="project-btm">
            <div class="row">
                <div class="col-lg-8">
                    <p>Don't settle for a bland and uninspired outdoor area - let the experts at Quinn's Home Improvements bring your vision to life!</p>
                </div>
                <div class="col-lg-4"><a href="<?php echo $conUrl ?>" class="comm-ancr">FREE QUOTE!</a></div>
            </div>
        </div>
    </div>
</section>
<?php include 'includes/footer.php';?>
